Package com.salesforce.datacloud.jdbc.http

## Class MetadataCacheInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.http.MetadataCacheInterceptor

All Implemented Interfaces:
  `okhttp3.Interceptor`

    public class MetadataCacheInterceptor
    extends Object
    implements okhttp3.Interceptor

### Nested Class Summary

### Nested classes/interfaces inherited from interface okhttp3.Interceptor

`okhttp3.Interceptor.Chain, okhttp3.Interceptor.Companion`

### Field Summary

### Fields inherited from interface okhttp3.Interceptor

`Companion`

### Constructor Summary

Constructors
`MetadataCacheInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`okhttp3.Response` `intercept​(okhttp3.Interceptor.Chain chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataCacheInterceptor

    public MetadataCacheInterceptor()

### Method Detail

#### intercept

    @NotNull
    public okhttp3.Response intercept​(@NotNull
                                      okhttp3.Interceptor.Chain chain)
                               throws IOException

Specified by:
  `intercept` in interface `okhttp3.Interceptor`
Throws:
  `IOException`